const system=require("../../../system");
const settings=require("../../../../config/settings");
const uiconfig=system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  var base = require("../../basemodel/codenamebase")(db, DataTypes);
  return db.define("pmfollow", Object.assign({  
    memo:DataTypes.STRING(20),//
  }, base), {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'pm_follow',
      validate: {
      }
    });
}
